# std::forward_list::empty

From cppreference.com
< cpp‎ | container‎ | forward list

bool empty() const; |  | (since C++11)

Checks if the container has no elements, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the container is empty, false otherwise

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### Example

The following code uses `empty` to check if a std::forward_list<int> contains any elements:

Run this code

    #include <forward_list>
    #include <iostream>

    int main()
    {
        std::forward_list<int> numbers;
        std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';

        numbers.push_front(42);
        numbers.push_front(13317);
        std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
    }

Output:

    Initially, numbers.empty(): 1
    After adding elements, numbers.empty(): 0

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/forward_list/empty&oldid=50497"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template